org.apache.ignite.internal.binary

## Interface BinaryMetadataHandler

All Known Implementing Classes:
  BinaryCachingMetadataHandler, BinaryNoopMetadataHandler

    public interface BinaryMetadataHandler

Binary meta data handler.

### Method Summary

Methods
`void` `addMeta(int typeId, BinaryType meta)` Adds meta data.
`BinaryType` `metadata(int typeId)` Gets meta data for provided type ID.
`BinaryType` `metadata(int typeId, int schemaId)` Gets metadata for provided type ID and schema ID.
`BinaryMetadata` `metadata0(int typeId)` Gets unwrapped meta data for provided type ID.

### Method Detail

#### addMeta

    void addMeta(int typeId,
               BinaryType meta)
                 throws BinaryObjectException

Adds meta data.

Parameters:
  `typeId` - Type ID.
  `meta` - Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### metadata

    BinaryType metadata(int typeId)
                        throws BinaryObjectException

Gets meta data for provided type ID.

Parameters:
  `typeId` - Type ID.
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### metadata0

    BinaryMetadata metadata0(int typeId)
                             throws BinaryObjectException

Gets unwrapped meta data for provided type ID.

Parameters:
  `typeId` - Type ID.
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### metadata

    BinaryType metadata(int typeId,
                      int schemaId)
                        throws BinaryObjectException

Gets metadata for provided type ID and schema ID.

Parameters:
  `typeId` - Type ID.
  `schemaId` - Schema ID.
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017